# Interface GroundProperties

Properties that can be specified for the mapping/GroundExtension!GroundExtensionProperties.ground property.

interface GroundProperties {
$ref?: "map.ground";
layers?: ElevationLayerJson[];
navigationConstraint?: {
type: "none" | "stayAbove";
};
surfaceColor?: ColorJson;
transparency?: number;
}

#### Hierarchy (view full)

- GroundJson
  - GroundProperties

#####
Index

### Properties

$ref?
layers?
navigationConstraint?
surfaceColor?
transparency?

##
Properties

### `Optional`$ref

$ref

A reference to an existing Ground on the parent map extension. Note: This can only be "map.ground".

### `Optional` layers

layers?: ElevationLayerJson[]

An array of elevationLayer objects defining the elevation of the ground in the web scene.

Inherited from GroundJson.layers

### `Optional` navigationConstraint

navigationConstraint?: {
type: "none" | "stayAbove";
}

Determines whether the camera is constrained to navigate only above, or also under the ground surface.

#### Type declaration

- ##### type: "none" | "stayAbove"

  The type of constraint.

Inherited from GroundJson.navigationConstraint

### `Optional` surfaceColor

surfaceColor?: ColorJson

Defines the color of the ground surface, displayed underneath the basemap. If no color, the default grid is shown.

Inherited from GroundJson.surfaceColor

### `Optional` transparency

transparency?: number

The transparency of the ground surface. It is used for seeing through the ground, therefore this property also changes the transparency of the basemap. Draped operational layers are not affected by this property. The value has to lie between 100 (full transparency) and 0 (full opacity).

Inherited from GroundJson.transparency